/* FichothequeLib_API - Copyright (c) 2024 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.fichotheque.thesaurus.sync;

import java.util.List;


/**
 *
 * @author Vincent Calame
 */
public interface ThesaurusSync {

    public MotcleSync getMotcleSync(String idalpha);

    public List<MotcleSync> getMotcleSyncList();

    public List<MotcleSync> getFirstLevelList();

    public default boolean contains(String idalpha) {
        return (getMotcleSync(idalpha) != null);
    }

}
